Gem::Specification.new do |s|
  s.name = %q{rubyful_soup}
  s.version = "1.0.4"

  s.required_rubygems_version = nil if s.respond_to? :required_rubygems_version=
  s.authors = ["Leonard Richardson"]
  s.cert_chain = nil
  s.date = %q{2006-03-01}
  s.description = %q{Rubyful Soup is a *ML parser that makes screen-scraping easy. It won't choke on bad markup, and it's easy to locate the part of a document you want.}
  s.email = %q{leonardr@segfault.org}
  s.extra_rdoc_files = ["CHANGELOG"]
  s.files = ["lib/rubyful_soup.rb", "tests/rubyful_soup_tests.rb", "CHANGELOG"]
  s.has_rdoc = true
  s.homepage = %q{http://www.crummy.com/software/RubyfulSoup/}
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new("> 0.0.0")
  s.rubygems_version = %q{1.2.0}
  s.summary = %q{An HTML/XML parser that handles bad markup and provides tree traversal methods.}
  s.test_files = ["tests/rubyful_soup_tests.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 1

    if current_version >= 3 then
      s.add_runtime_dependency(%q<htmltools>, ["> 0.0.0"])
    else
      s.add_dependency(%q<htmltools>, ["> 0.0.0"])
    end
  else
    s.add_dependency(%q<htmltools>, ["> 0.0.0"])
  end
end
